2018-03-21 03:21 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002863OpenFOAM[All Projects] Bugpublic2018-03-01 22:16
Assigned Tohenry 
PlatformBlueGene/Q HPC ClusterOSRed Hat Enterprise Linux Server OS Version6.7
Product Version5.x 
Target VersionFixed in Versiondev 
Summary0002863: OpenFOAM-5.x/Allwmake fails in the begining
DescriptionAfter installing ThirdParty Libraries, I type ./Allwmake to compile OpenFOAM and receive the following error:
OpenFoam/OpenFOAM-5.x/src/OpenFOAM/lnInclude/token.H:80:27: error: enumerator value -127 is too large for underlying type ‘char’
Steps To ReproduceOpenFOAM-5.x/Allwmake
Additional InformationSince I am trying to make an installation on a BGQ Cluster, one needs to cross-compile OpenFOAM and ThirdParty Libraries. I installed Scotch successfully and skipped CGAl.

Front-end nodes: RedHat 6.7, Power 7 CPUs
Compute nodes: CNK, IBM A2 processors

I changed
in the file
OpenFOAM-5.x/src/OpenFOAM/lnInclude/token.H (line 80)
and issue seems to be resolved.
TagsNo tags attached.
Attached Files




henry (manager)

In OpenFOAM-5.x line 80 of token.H is

you appear to be compiling OpenFOAM-dev which has

        PUNCTUATION = -127,

On your machine what is the underlying type of char? Why is -127 too large for char?

> I changed
> to

this won't work as the type tokens will overlap with the ASCII characters.


henry (manager)


    //- Enumeration defining the types of token
    enum tokenType : char
        UNDEFINED = 0,

        PUNCTUATION = char(128),


This should work on machines with either form of char.


fertinaz (reporter)

Hi Henry

You're right, this seems to be the OpenFOAM-dev version and I realized that it is renamed to OpenFOAM-5.x afterwards.

Your suggestion worked. Thank you.

Allwmake still fails due to different reasons but I guess you can close this issue.


henry (manager)

Resolved by commit 0d2fe24cd7f12a0de9f106ea438547b7c8a2135d

-Issue History
Date Modified Username Field Change
2018-02-28 22:28 fertinaz New Issue
2018-02-28 22:53 henry Note Added: 0009354
2018-03-01 09:24 henry Note Added: 0009357
2018-03-01 11:13 henry Note Deleted: 0009357
2018-03-01 11:14 henry Note Added: 0009361
2018-03-01 21:36 fertinaz Note Added: 0009365
2018-03-01 22:16 henry Assigned To => henry
2018-03-01 22:16 henry Status new => resolved
2018-03-01 22:16 henry Resolution open => fixed
2018-03-01 22:16 henry Fixed in Version => dev
2018-03-01 22:16 henry Note Added: 0009366
+Issue History